## clara 0.9.9-1.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#  Copyright (C) 1999-2001 Ricardo Ueda Karpischek
+#  Copyright (C) 1999-2002 Ricardo Ueda Karpischek
 #
 #  This is free software; you can redistribute it and/or modify
 #  it under the terms of the version 2 of the GNU General Public
@@ -19,7 +19,7 @@
 #
 # Clara OCR version number.
 #
-VERSION=0.9.8;
+VERSION=0.9.9;
 
 #
 # CONFIGURATION SECTION - BEGIN
@@ -28,16 +28,16 @@
 #
 # Configure the destination directories:
 #
-BINDIR=/usr/local/bin
-#BINDIR=/usr/bin
-
-MANDIR=/usr/local/man/man1
-#MANDIR=/usr/man/man1
-
-DOCDIR=/usr/local/doc/clara
+#BINDIR=/usr/local/bin
+BINDIR=$(DESTDIR)/usr/bin
+
+#MANDIR=/usr/local/man/man1
+MANDIR=$(DESTDIR)/usr/share/man/man1
+
+#DOCDIR=/usr/local/doc/clara
 #DOCDIR=/usr/doc/clara
 #DOCDIR=/usr/doc/clara-$(VERSION)
-#DOCDIR=/usr/share/doc/clara
+DOCDIR=$(DESTDIR)/usr/share/doc/clara
 
 #
 # Configure these variables accordingly to your system:
@@ -75,15 +75,18 @@
 #                  it will be completely removed in the near future.
 #
 #   CF          .. Hacks for tests using Candido de Figueiredo
-#                  Dictionary (please left undefined)
-#
-COPTS = -DHAVE_POPEN -DMEMCHECK -DFUN_CODES -DHAVE_SIGNAL
+#                  Dictionary (please do not define this macro).
+#
+#   TEST        .. Include test code.
+#
+COPTS = -DHAVE_POPEN -DMEMCHECK -DFUN_CODES -DHAVE_SIGNAL -DTEST
 #COPTS = -DHAVE_POPEN -DMEMCHECK
 
 #
 # Add or remove flags if necessary:
 #
-CFLAGS = $(INCLUDE) -g -O2 -Wall $(COPTS)
+CFLAGS = $(INCLUDE) -g -Wall $(COPTS)
+#CFLAGS = $(INCLUDE) -g -O2 -Wall $(COPTS)
 #CFLAGS = $(INCLUDE) -g -O2 -pedantic $(COPTS)
 #CFLAGS = $(INCLUDE) -g -O2 $(COPTS)
 
@@ -105,17 +108,25 @@
 
 OBJS = clara.o skel.o event.o symbol.o pattern.o pbm2cl.o cml.o\
        welcome.o redraw.o html.o alphabet.o revision.o build.o\
-       consist.o
+       consist.o pgmblock.o preproc.o
 
 SRC = book.c clara.c skel.c event.c symbol.c pattern.c pbm2cl.c cml.c\
        welcome.c redraw.c html.c alphabet.c revision.c build.c\
-       consist.c
+       consist.c pgmblock.c preproc.c
+
+#
+# The programs.
+#
 
 clara: $(OBJS)
 	$(CC) -o clara $(LDFLAGS) $(OBJS) $(LINKLIB)
 
-pgmblock: pgmblock.c
-	$(CC) -o pgmblock -g pgmblock.c -lm
+manager: manager.c
+	$(CC) $(CFLAGS) -o manager manager.c
+
+#
+# Documentation targets.
+#
 
 adv.new:
 	rm -f doc/clara-book.html doc/clara-book.1
@@ -139,13 +150,24 @@
 	./mkdoc.pl $(DFLAGS) -nroff -tutorial $(SRC) *.h >doc/clara.1
 
 faq.new:
-	rm -f doc/clara-tut.html doc/clara-tut.1
+	rm -f doc/clara-faq.html doc/clara-faq.1
 
 faq: faq.new
 	./mkdoc.pl $(DFLAGS) -html -faq $(SRC) *.h >doc/clara-faq.html
 	./mkdoc.pl -faq $(SRC) *.h >doc/FAQ
 
-doc: faq tut adv dev
+glossary.new:
+	rm -f doc/clara-glo.html doc/clara-glo.1
+
+glossary: glossary.new
+	./mkdoc.pl $(DFLAGS) -html -glossary $(SRC) *.h >doc/clara-glo.html
+	./mkdoc.pl -glossary $(SRC) *.h >doc/clara-glo.1
+
+doc: faq tut adv dev glossary
+
+#
+# Other.
+#
 
 all: clara doc
 
@@ -155,24 +177,24 @@
 install: all
 	install -d $(BINDIR)
 	install clara $(BINDIR)
-	install selthresh.pl $(BINDIR)
+	install selthresh.pl $(BINDIR)/selthresh
 	install -d $(MANDIR)
 	install doc/clara.1 doc/clara-dev.1 doc/clara-adv.1 $(MANDIR)
 	install -d $(DOCDIR)
 	install ANNOUNCE CHANGELOG doc/FAQ doc/*.html $(DOCDIR)
 
 clean:
-	rm -f clara sclara $(OBJS) doc/clara-*.1 doc/clara-*.html doc/FAQ
+	rm -f clara sclara $(OBJS) doc/clara*.1 doc/clara*.html doc/FAQ
 	rm -f acts patterns *session *.html *~ core
 	rm -f www/*~
 	rm -f doubts/*
+	rm -f manager
 
 stats:
-	wc *.c *.h *.pl Makefile CHANGELOG | sort
-
-
-#
-# Dependencies.
+	wc *.c *.h *.pl Makefile CHANGELOG | sort -n
+
+#
+# Module dependencies.
 #
 alphabet.o: common.h alphabet.c
 build.o: common.h build.c
@@ -188,4 +210,4 @@
 skel.o: common.h skel.c
 symbol.o: common.h gui.h symbol.c
 welcome.o: common.h welcome.c
-
+pgmblock.o:
