=== debian/changelog ===
clara (0.9.9-1.1) unstable; urgency=low

  * NMU
  * Update xlib6g-dev -> xlibs-dev.  Closes: #170120.

 -- Daniel Schepler <schepler@debian.org>  Fri, 14 Mar 2003 23:08:38 -0800

clara (0.9.9-1) unstable; urgency=low

  * New upstream release

 -- Eduardo Marcel Macan <macan@debian.org>  Sun, 21 Oct 2001 00:44:00 +0000

clara (0.9.8-2) unstable; urgency=low

  * NMU (Eduardo asked me to take care of this while he's away)
  * debian/docs: removed the doc/README file since it is only
    useful for people using the source package. Removed
    changelog also, it is nowhere in the source package.
  * debian/rules: removed some hacks to install the strange-named 
    CHANGELOG to do it the right way (using dh_installchangelogs). 
    This entry, together with the first: (Closes: #107289)

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 21 Nov 2001 21:34:21 -0200

clara (0.9.8-1) unstable; urgency=low

  * New upstream release

 -- Eduardo Marcel Macan <macan@debian.org>  Sun, 21 Oct 2001 00:44:00 +0000

clara (0.9.7-1) unstable; urgency=low

  * New upstream release
  * Uploaded to debian, closes: #105856

 -- root <root@lespaul.metainfo.org>  Thu, 19 Jul 2001 23:10:41 +0000

clara (0.9.2-1) unstable; urgency=low

  * Initial Release.

 -- Eduardo Marcel Macan <macan@debian.org>  Fri, 27 Apr 2001 21:51:09 -0300
