=== debian/control ===
Source: clara
Section: text
Priority: optional
Maintainer: Eduardo Marcel Macan <macan@debian.org>
Build-Depends: debhelper (>> 3.0.0), xlibs-dev
Standards-Version: 3.5.2

Package: clara
Architecture: any
Depends: ${shlibs:Depends}
Suggests: perl
Description: Free OCR program for Unix Systems
 Clara OCR is a free (GPL) OCR for systems that support 
 the C library and the X window system (e.g. most 
 flavours of Unix).
 .
 Clara OCR is intended for large scale digitalization 
 projects. It features a powerful GUI and a web interface
 for cooperative digitalization of books.
