## clara 20031214

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 #
 # Clara OCR version number.
 #
-VERSION=0.9.9;
+VERSION=20031214;
 
 #
 # CONFIGURATION SECTION - BEGIN
@@ -29,15 +29,15 @@
 # Configure the destination directories:
 #
 #BINDIR=/usr/local/bin
-BINDIR=$(DESTDIR)/usr/bin
+BINDIR=/usr/bin
 
 #MANDIR=/usr/local/man/man1
-MANDIR=$(DESTDIR)/usr/share/man/man1
+MANDIR=/usr/man/man1
 
 #DOCDIR=/usr/local/doc/clara
 #DOCDIR=/usr/doc/clara
 #DOCDIR=/usr/doc/clara-$(VERSION)
-DOCDIR=$(DESTDIR)/usr/share/doc/clara
+DOCDIR=/usr/share/doc/clara
 
 #
 # Configure these variables accordingly to your system:
@@ -79,13 +79,17 @@
 #
 #   TEST        .. Include test code.
 #
-COPTS = -DHAVE_POPEN -DMEMCHECK -DFUN_CODES -DHAVE_SIGNAL -DTEST
+#   NO_RINTF    .. required on systems that do not provide rintf
+#                  (like Solaris).
+#
+COPTS = -DHAVE_POPEN -DMEMCHECK -DFUN_CODES -DHAVE_SIGNAL -DTEST -DNO_RINTF
 #COPTS = -DHAVE_POPEN -DMEMCHECK
 
 #
 # Add or remove flags if necessary:
 #
 CFLAGS = $(INCLUDE) -g -Wall $(COPTS)
+#CFLAGS = $(INCLUDE) -g -Wall -pedantic $(COPTS)
 #CFLAGS = $(INCLUDE) -g -O2 -Wall $(COPTS)
 #CFLAGS = $(INCLUDE) -g -O2 -pedantic $(COPTS)
 #CFLAGS = $(INCLUDE) -g -O2 $(COPTS)
@@ -108,11 +112,11 @@
 
 OBJS = clara.o skel.o event.o symbol.o pattern.o pbm2cl.o cml.o\
        welcome.o redraw.o html.o alphabet.o revision.o build.o\
-       consist.o pgmblock.o preproc.o
+       consist.o pgmblock.o preproc.o obd.o
 
 SRC = book.c clara.c skel.c event.c symbol.c pattern.c pbm2cl.c cml.c\
        welcome.c redraw.c html.c alphabet.c revision.c build.c\
-       consist.c pgmblock.c preproc.c
+       consist.c pgmblock.c preproc.c obd.c
 
 #
 # The programs.
@@ -177,7 +181,7 @@
 install: all
 	install -d $(BINDIR)
 	install clara $(BINDIR)
-	install selthresh.pl $(BINDIR)/selthresh
+	install selthresh $(BINDIR)
 	install -d $(MANDIR)
 	install doc/clara.1 doc/clara-dev.1 doc/clara-adv.1 $(MANDIR)
 	install -d $(DOCDIR)
@@ -211,3 +215,6 @@
 symbol.o: common.h gui.h symbol.c
 welcome.o: common.h welcome.c
 pgmblock.o: 
+preproc.c:
+obd.c:
+
